Skip to main content
`Ctrl`+`K`

# PetscHMapIQueryDel

Query and remove a (key,value) entry from the hash table

## Synopsis

    #include <petsc/private/hashmapi.h>
    PetscErrorCode PetscHMapIQueryDel(PetscHMapI ht, PetscInt key, PetscBool *present)

## Input Parameters

- ht - The hash table

- key - The key

## Output Parameter

- present - Boolean indicating whether the key was present

## See Also

`PetscHMapIQuerySet()`, `PetscHMapIDel()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages